## libseqlib 1.1.1+dfsg

=== benchmark/Makefile ===
##INCLUDES=-I/xchip/gistic/Jeremiah/software/seqan-library-2.0.2/include -I /xchip/gistic/Jeremiah/GIT/SeqLib/src -I/xchip/gistic/Jeremiah/GIT/SeqLib/htslib -I/xchip/gistic/Jeremiah/software/boost_1.61.0_gcc5.1 -I/xchip/gistic/Jeremiah/software/bamtools-2.4.0/include
INCLUDES=-I/xchip/gistic/Jeremiah/software/seqan-library-2.2.0/include -I /xchip/gistic/Jeremiah/GIT/SeqLib/src -I/xchip/gistic/Jeremiah/GIT/SeqLib/htslib -I/xchip/gistic/Jeremiah/software/boost_1.61.0_gcc5.1 -I/xchip/gistic/Jeremiah/software/bamtools-2.4.0/include -I/xchip/gistic/Jeremiah/software/bzip2-1.0.6
LIBS=/xchip/gistic/Jeremiah/software/bamtools-2.4.0/lib/libbamtools.a /xchip/gistic/Jeremiah/GIT/SeqLib/src/libseqlib.a /xchip/gistic/Jeremiah/GIT/SeqLib/htslib/libhts.a /xchip/gistic/Jeremiah/software/boost_1.61.0_gcc5.1/stage/lib/libboost_timer.a /xchip/gistic/Jeremiah/software/boost_1.61.0_gcc5.1/stage/lib/libboost_chrono.a /xchip/gistic/Jeremiah/software/boost_1.61.0_gcc5.1/stage/lib/libboost_system.a /xchip/gistic/Jeremiah/software/bzip2-1.0.6/libbz2.a
CFLAGS=-W -Wall -pedantic -std=c++14 -DSEQAN_HAS_ZLIB=1 -DSEQAN_HAS_BZIP2=1

binaries=benchmark

all: benchmark.o
	g++ benchmark.o -g -o benchmark $(LIBS) -lrt -lpthread -lz -lm

benchmark.o: benchmark.cpp
	g++ -g -c benchmark.cpp $(INCLUDES) $(CFLAGS)

.PHONY: clean

clean:
	rm -f $(binaries) *.o

=== debian/changelog ===
libseqlib (1.1.1+dfsg-5) unstable; urgency=medium

  [ Adam Conrad ]
  * Add missing -lz to pkg-config for linking with zlib
    Closes: #893192

 -- Andreas Tille <tille@debian.org>  Sat, 17 Mar 2018 10:51:57 +0100

libseqlib (1.1.1+dfsg-4) unstable; urgency=medium

  * Make sure also private headers of htslib will be installed and usable
    since these are used in libseqlib-dev
    Closes: #891745
  * Standards-Version: 4.1.3
  * debhelper 11

 -- Andreas Tille <tille@debian.org>  Mon, 05 Mar 2018 16:25:15 +0100

libseqlib (1.1.1+dfsg-3) unstable; urgency=medium

  * Remove liblzma-dev again since it is only used for dist target
  * Build-Depends: libhts-private-dev since libhts-dev does not provide
    private cran headers any more (see bug #881170)
  * Explicitly use -I/usr/include/htslib instead of pkg-config in libhts-dev
    since upstream insisted that the cram headers are private
    (see bug #881359)
  * d/rules: do not parse d/changelog
  * Standards-Version: 4.1.2

 -- Andreas Tille <tille@debian.org>  Sun, 10 Dec 2017 14:24:34 +0100

libseqlib (1.1.1+dfsg-2) unstable; urgency=medium

  * Build-Depends: liblzma-dev
  * Explicitly add -I/usr/include

 -- Andreas Tille <tille@debian.org>  Sun, 18 Jun 2017 10:20:17 +0200

libseqlib (1.1.1+dfsg-1) experimental; urgency=medium

  * Initial release (Closes: #854774)

 -- Andreas Tille <tille@debian.org>  Fri, 10 Feb 2017 10:16:57 +0100

=== debian/control ===
Source: libseqlib
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 11~),
               d-shlibs,
               pkg-config,
               libhts-private-dev,
               libcurl4-openssl-dev | libcurl4-dev,
               zlib1g-dev,
               libfml-dev (>= 0.1-3),
               libbwa-dev (>= 0.7.15-3),
               libjsoncpp-dev,
               libssw-dev
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libseqlib.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/libseqlib.git
Homepage: https://github.com/walaj/SeqLib

Package: libseqlib0
Architecture: any
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: C++ htslib/bwa-mem/fermi interface for interrogating sequence data
 C++ API and command line tool that provides a rapid and user-friendly
 interface to BAM/SAM/CRAM files, global sequence alignment operations
 and sequence assembly. Four C libraries perform core operations in
 SeqLib: HTSlib for BAM access, BWA-MEM and BLAT for sequence alignment
 and Fermi for error correction and sequence assembly. Benchmarking
 indicates that SeqLib has lower CPU and memory requirements than leading
 C++ sequence analysis APIs. Minimal SeqLib code can extract, error-correct
 and assemble reads from a CRAM file and then align with BWA-MEM.
 SeqLib also provides additional capabilities, including chromosome-aware
 interval queries and read plotting. Command line tools are available for
 performing integrated error correction, micro-assemblies and alignment.

Package: libseqlib-dev
Architecture: any
Section: libdevel
Depends: libseqlib0 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
         libhts-dev (>= 1.3.2-3),
         libhts-private-dev,
         libjsoncpp-dev,
         libbwa-dev,
         libfml-dev
Description: C++ htslib/bwa-mem/fermi interface for interrogating sequence data (dev)
 C++ API and command line tool that provides a rapid and user-friendly
 interface to BAM/SAM/CRAM files, global sequence alignment operations
 and sequence assembly. Four C libraries perform core operations in
 SeqLib: HTSlib for BAM access, BWA-MEM and BLAT for sequence alignment
 and Fermi for error correction and sequence assembly. Benchmarking
 indicates that SeqLib has lower CPU and memory requirements than leading
 C++ sequence analysis APIs. Minimal SeqLib code can extract, error-correct
 and assemble reads from a CRAM file and then align with BWA-MEM.
 SeqLib also provides additional capabilities, including chromosome-aware
 interval queries and read plotting. Command line tools are available for
 performing integrated error correction, micro-assemblies and alignment.
 .
 This package contains the header files and static library.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_install:
	dh_install
	# Trick to get also headers moved by d-shlibmove
	cp -a SeqLib debian # note: also GenomicRegionCollection.cpp is really needed by freebayes
	d-shlibmove --commit \
		    --multiarch \
		    --devunversioned \
		    --exclude-la \
		    --movedev debian/SeqLib usr/include \
                    src/.libs/$(DEB_SOURCE).so
	mkdir -p $(CURDIR)/debian/libseqlib-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
	mv libseqlib.pc $(CURDIR)/debian/libseqlib-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/walaj/SeqLib/releases .*/archive/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## libseqlib 1.1.2+dfsg

=== debian/changelog ===
libseqlib (1.1.2+dfsg-6) unstable; urgency=medium

  * Team upload.
  * Standards-Version: 4.5.0 (routine-update)
  * Set upstream metadata fields: Bug-Submit.
  * debian/control: use ${devlibs:Depends} for the -dev package
  * Properly link the shared library against libjsoncpp, libfml, ssw, & htslib
  * Modified use of pkg-config to be friendly for cross-building this package
  * Use pkg-kde-tools to manage the symbols

 -- Michael R. Crusoe <michael.crusoe@gmail.com>  Sat, 15 Feb 2020 18:48:43 +0100

libseqlib (1.1.2+dfsg-5) unstable; urgency=medium

  * Avoid using non-public HTSlib headers and functions
    and do not (Build-)Depend libhts-private-dev
    Closes: #946924
  * Standards-Version: 4.4.1
  * Set upstream metadata fields: Bug-Database.
  * Refresh symbols

 -- Andreas Tille <tille@debian.org>  Wed, 18 Dec 2019 14:17:13 +0100

libseqlib (1.1.2+dfsg-4) unstable; urgency=medium

  * Adapt symbols to new version of gcc
    Closes: #925759
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * libseqlib-dev: Depends: libssw-dev
  * Add lintian-overrides for libraries not found by pkgconfig

 -- Andreas Tille <tille@debian.org>  Tue, 20 Aug 2019 15:52:14 +0200

libseqlib (1.1.2+dfsg-3) unstable; urgency=medium

  * Adapt symbols to new version of gcc
    Closes: #923382

 -- Andreas Tille <tille@debian.org>  Wed, 27 Feb 2019 10:48:25 +0100

libseqlib (1.1.2+dfsg-2) unstable; urgency=medium

  * Adapt symbols file to new gcc-8
    Closes: #906486
  * Standards-Version: 4.2.0

 -- Andreas Tille <tille@debian.org>  Sat, 18 Aug 2018 12:26:38 +0200

libseqlib (1.1.2+dfsg-1) unstable; urgency=medium

  * Fix watch file
  * Add symbols file
  * New upstream version
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.4
  * Bump ABI version due to upstream changes (see
     https://github.com/walaj/SeqLib/issues/24 )

 -- Andreas Tille <tille@debian.org>  Wed, 23 May 2018 17:35:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,23 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                d-shlibs,
                pkg-config,
-               libhts-private-dev,
+               pkg-kde-tools,
+               libhts-dev,
                libcurl4-openssl-dev | libcurl4-dev,
                zlib1g-dev,
                libfml-dev (>= 0.1-3),
                libbwa-dev (>= 0.7.15-3),
                libjsoncpp-dev,
                libssw-dev
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/libseqlib.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/libseqlib.git
+Standards-Version: 4.5.0
+Vcs-Browser: https://salsa.debian.org/med-team/libseqlib
+Vcs-Git: https://salsa.debian.org/med-team/libseqlib.git
 Homepage: https://github.com/walaj/SeqLib
 
-Package: libseqlib0
+Package: libseqlib1
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -39,14 +40,10 @@
 Package: libseqlib-dev
 Architecture: any
 Section: libdevel
-Depends: libseqlib0 (= ${binary:Version}),
-         ${shlibs:Depends},
+Depends: libseqlib1 (= ${binary:Version}),
+         ${devlibs:Depends},
          ${misc:Depends},
-         libhts-dev (>= 1.3.2-3),
-         libhts-private-dev,
-         libjsoncpp-dev,
          libbwa-dev,
-         libfml-dev
 Description: C++ htslib/bwa-mem/fermi interface for interrogating sequence data (dev)
  C++ API and command line tool that provides a rapid and user-friendly
  interface to BAM/SAM/CRAM files, global sequence alignment operations

## libseqlib 1.2.0%2Bdfsg

=== debian/changelog ===
libseqlib (1.2.0+dfsg-8build1) jammy; urgency=medium

  * No-change rebuild against libjsoncpp25

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 14 Dec 2021 07:48:49 +0000

libseqlib (1.2.0+dfsg-8) unstable; urgency=medium

  * Provide symbols file only for amd64 to reduce maintenance burden

 -- Andreas Tille <tille@debian.org>  Sun, 21 Nov 2021 06:30:55 +0100

libseqlib (1.2.0+dfsg-7) unstable; urgency=medium

  * Fix symbols file
    Closes: #997450

 -- Andreas Tille <tille@debian.org>  Mon, 01 Nov 2021 16:53:01 +0100

libseqlib (1.2.0+dfsg-6) unstable; urgency=medium

  * Really fix watch file

 -- Andreas Tille <tille@debian.org>  Tue, 31 Aug 2021 21:30:32 +0200

libseqlib (1.2.0+dfsg-5) unstable; urgency=medium

  * Fix watchfile to detect new versions on github (routine-update)
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 22 Aug 2021 09:18:27 +0200

libseqlib (1.2.0+dfsg-4) unstable; urgency=medium

  * Refresh symbols again for s390x built with -O3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 16 Jan 2021 12:35:41 +0100

libseqlib (1.2.0+dfsg-3) unstable; urgency=medium

  * Refresh symbols file for new release, and mark some symbols as optional

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 15 Jan 2021 18:44:09 +0100

libseqlib (1.2.0+dfsg-2) unstable; urgency=medium

  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Fri, 15 Jan 2021 11:32:37 +0100

libseqlib (1.2.0+dfsg-1) unstable; urgency=medium

  * New upstream version
    Closes: #976414

  [ Michael R. Crusoe ]
  * Snapshot from upstream.
  * Refresh patches
  * build-deps: libbz2-dev

  [ Andreas Tille ]
  * Standards-Version: 4.5.1 (routine-update)
  * Remove automatically generated automake files
  * Versioned Build-Depends: libfml-dev (>= 0.1+git20190320.b499514)
  * Bump SOVERSION due to ABI change
  * Remove unused lintian override

 -- Andreas Tille <tille@debian.org>  Fri, 08 Jan 2021 13:50:01 +0100

libseqlib (1.1.2+dfsg-9) unstable; urgency=medium

  * Team upload.
  * More symbols updates.
  * Mark most of Debian's patches as not appropriate for forwarding to
    upstream.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 26 Oct 2020 16:51:53 +0100

libseqlib (1.1.2+dfsg-8) unstable; urgency=medium

  * Team upload.
  * Switch from libcurl4-openssl-dev to libcurl4-gnutls-dev for libhts
    compatability.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 26 Oct 2020 15:14:18 +0100

libseqlib (1.1.2+dfsg-7) unstable; urgency=medium

  [ Michael R. Crusoe ]
  * Team upload.
  * Rules-Requires-Root: no
  * Mark binary packages as Multi-Arch: same
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)

  [ Michael R. Crusoe ]
  * Set upstream metadata fields: Repository, Repository-Browse.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 24 Oct 2020 17:20:21 +0200

## libseqlib 1.2.0+dfsg

=== benchmark/Makefile ===
##INCLUDES=-I/xchip/gistic/Jeremiah/software/seqan-library-2.0.2/include -I /xchip/gistic/Jeremiah/GIT/SeqLib/src -I/xchip/gistic/Jeremiah/GIT/SeqLib/htslib -I/xchip/gistic/Jeremiah/software/boost_1.61.0_gcc5.1 -I/xchip/gistic/Jeremiah/software/bamtools-2.4.0/include
INCLUDES=-I/xchip/gistic/Jeremiah/software/seqan-library-2.2.0/include -I /xchip/gistic/Jeremiah/GIT/SeqLib -I/xchip/gistic/Jeremiah/GIT/SeqLib/htslib -I/xchip/gistic/Jeremiah/software/boost_1.61.0_gcc5.1 -I/xchip/gistic/Jeremiah/software/bamtools-2.4.0/include -I/xchip/gistic/Jeremiah/software/bzip2-1.0.6
LIBS=/xchip/gistic/Jeremiah/software/bamtools-2.4.0/lib/libbamtools.a /xchip/gistic/Jeremiah/GIT/SeqLib/src/libseqlib.a /xchip/gistic/Jeremiah/GIT/SeqLib/htslib/libhts.a /xchip/gistic/Jeremiah/software/boost_1.61.0_gcc5.1/stage/lib/libboost_timer.a /xchip/gistic/Jeremiah/software/boost_1.61.0_gcc5.1/stage/lib/libboost_chrono.a /xchip/gistic/Jeremiah/software/boost_1.61.0_gcc5.1/stage/lib/libboost_system.a /xchip/gistic/Jeremiah/software/bzip2-1.0.6/libbz2.a
CXXFLAGS=-W -Wall -pedantic -std=c++14 -DSEQAN_HAS_ZLIB=1 -DSEQAN_HAS_BZIP2=1 -O3 -DNDEBUG -DSEQAN_ENABLE_DEBUG=0 -DSEQAN_ENABLE_TESTING=0

binaries=benchmark

all: benchmark.o
	g++ benchmark.o -o benchmark $(LIBS) -lrt -lpthread -lz -lm

benchmark.o: benchmark.cpp
	g++ -c benchmark.cpp $(INCLUDES) $(CXXFLAGS)

.PHONY: clean

clean:
	rm -f $(binaries) *.o

=== debian/control ===
--- 
+++ 
@@ -3,24 +3,27 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                d-shlibs,
                pkg-config,
                pkg-kde-tools,
                libhts-dev,
-               libcurl4-openssl-dev | libcurl4-dev,
+               libcurl4-gnutls-dev | libcurl4-dev,
                zlib1g-dev,
-               libfml-dev (>= 0.1-3),
+               libfml-dev (>= 0.1+git20190320.b499514),
                libbwa-dev (>= 0.7.15-3),
                libjsoncpp-dev,
-               libssw-dev
-Standards-Version: 4.5.0
+               libssw-dev,
+               libbz2-dev
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/libseqlib
 Vcs-Git: https://salsa.debian.org/med-team/libseqlib.git
 Homepage: https://github.com/walaj/SeqLib
+Rules-Requires-Root: no
 
-Package: libseqlib1
+Package: libseqlib2
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}
@@ -39,8 +42,9 @@
 
 Package: libseqlib-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: libseqlib1 (= ${binary:Version}),
+Depends: libseqlib2 (= ${binary:Version}),
          ${devlibs:Depends},
          ${misc:Depends},
          libbwa-dev,

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/walaj/SeqLib/releases .*/archive/v*@ANY_VERSION@@ARCHIVE_EXT@
